# Uses of Class
org.eclipse.zest.layouts.algorithms.TreeLayoutObserver.TreeNode

Packages that use TreeLayoutObserver.TreeNode
Package
Description
org.eclipse.zest.layouts.algorithms

## Uses of TreeLayoutObserver.TreeNode in org.eclipse.zest.layouts.algorithms

Fields in org.eclipse.zest.layouts.algorithms declared as TreeLayoutObserver.TreeNode
Modifier and Type
Field
Description
`protected TreeLayoutObserver.TreeNode`
TreeLayoutObserver.TreeNode.`parent`
Fields in org.eclipse.zest.layouts.algorithms with type parameters of type TreeLayoutObserver.TreeNode
Modifier and Type
Field
Description
`protected final List<TreeLayoutObserver.TreeNode>`
TreeLayoutObserver.TreeNode.`children`
Methods in org.eclipse.zest.layouts.algorithms that return TreeLayoutObserver.TreeNode
Modifier and Type
Method
Description
`TreeLayoutObserver.TreeNode`
TreeLayoutObserver.TreeNodeFactory.`createTreeNode(NodeLayout nodeLayout, TreeLayoutObserver observer)`
`TreeLayoutObserver.TreeNode`
TreeLayoutObserver.TreeNode.`getParent()`
`TreeLayoutObserver.TreeNode`
TreeLayoutObserver.`getSuperRoot()`
Returns Super Root, that is an artificial node being a common parent for all nodes in observed tree structure.
`TreeLayoutObserver.TreeNode`
TreeLayoutObserver.`getTreeNode(NodeLayout node)`
Returns a `TreeLayoutObserver.TreeNode` related to given node layout.
Methods in org.eclipse.zest.layouts.algorithms that return types with arguments of type TreeLayoutObserver.TreeNode
Modifier and Type
Method
Description
`List<? extends TreeLayoutObserver.TreeNode>`
TreeLayoutObserver.TreeNode.`getChildren()`
Methods in org.eclipse.zest.layouts.algorithms with parameters of type TreeLayoutObserver.TreeNode
Modifier and Type
Method
Description
`protected void`
TreeLayoutObserver.TreeNode.`addChild(TreeLayoutObserver.TreeNode child)`
Adds given node to the list of this node's children and set its parent to this node.
`protected void`
TreeLayoutObserver.TreeListener.`defaultHandle(TreeLayoutObserver.TreeNode changedNode)`
A convenience method that can be overridden if a listener reacts the same way to all events.
`boolean`
TreeLayoutObserver.TreeNode.`isAncestorOf(TreeLayoutObserver.TreeNode descendant)`
`protected boolean`
TreeLayoutObserver.TreeNode.`isBetterParent(TreeLayoutObserver.TreeNode potentialParent)`
Checks if a potential parent would be better for this node than its current parent.
`void`
TreeLayoutObserver.TreeListener.`nodeAdded(TreeLayoutObserver.TreeNode newNode)`
Called when new node is added to the tree structure.
`void`
TreeLayoutObserver.TreeListener.`nodeRemoved(TreeLayoutObserver.TreeNode removedNode)`
Called when a node is removed from the tree structure.
`void`
TreeLayoutObserver.TreeListener.`parentChanged(TreeLayoutObserver.TreeNode node, TreeLayoutObserver.TreeNode previousParent)`
Called when a node changes its parent.